> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tags

<Info>
  Scope required: `tags.read`
</Info>

This endpoint returns paginated tags for the specified users.

### Parameters

<ParamField path="merchant_id" type="string" required>
  Filter tags by Merchant ID
</ParamField>

<ParamField path="user_ids" type="array<string>" required>
  Filter tags by User IDs
</ParamField>

<ParamField path="key" type="string" optional>
  Optionally filter tags by key
</ParamField>

<Snippet file="pagination/params.mdx" />

### Response

<Snippet file="entities/tag.mdx" />

<Snippet file="pagination/response.mdx" />

<RequestExample>
  ```bash Get Tags theme={null}
  curl https://api.thanxsandbox.com/partner/tags \
    -X GET \
    -H 'X-ClientId: {client_id}' \
    -H 'Accept-Version: v4.0' \
    -H 'Content-Type: application/json' \
    -H 'Authorization: Bearer {access_token}' \
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "tags": [
      {
        "id": "92b7b0dac4",
        "user_id": "wroeiu2304hfwf",
        "merchant_id": "weroif",
        "key": "allergens",
        "values": ["gluten", "soy", "dairy"]
      }
    ],
    "pagination": {
      "current_page": 1,
      "per_page": 10,
      "total_pages": 1
    }
  }
  ```
</ResponseExample>
